dns-2.0.13: DNS library in Haskell

Safe Haskell | None
Language | Haskell2010

Network.DNS.Encode

Synopsis

- encode :: DNSMessage -> ByteString
- encodeVC :: ByteString -> ByteString
- composeQuery :: Int -> [Question] -> ByteString
- composeQueryAD :: Int -> [Question] -> ByteString

# Documentation

encode :: DNSMessage -> ByteString Source #

Composing DNS data.

encodeVC :: ByteString -> ByteString Source #

composeQuery :: Int -> [Question] -> ByteString Source #

Composing query. First argument is a number to identify response.

composeQueryAD :: Int -> [Question] -> ByteString Source #